CMSIS-DSP: Maximum

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Maximum
Statistics Functions

## Functions

void | arm_max_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult, uint32_t *pIndex)
| Maximum value of a floating-point vector. More...
void | arm_max_f32 (const float32_t *pSrc, uint32_t blockSize, float32_t *pResult, uint32_t *pIndex)
| Maximum value of a floating-point vector. More...
void | arm_max_f64 (const float64_t *pSrc, uint32_t blockSize, float64_t *pResult, uint32_t *pIndex)
| Maximum value of a floating-point vector. More...
void | arm_max_no_idx_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult)
| Maximum value of a floating-point vector. More...
void | arm_max_no_idx_f32 (const float32_t *pSrc, uint32_t blockSize, float32_t *pResult)
| Maximum value of a floating-point vector. More...
void | arm_max_no_idx_f64 (const float64_t *pSrc, uint32_t blockSize, float64_t *pResult)
| Maximum value of a floating-point vector. More...
void | arm_max_no_idx_q15 (const q15_t *pSrc, uint32_t blockSize, q15_t *pResult)
| Maximum value of a q15 vector without index. More...
void | arm_max_no_idx_q31 (const q31_t *pSrc, uint32_t blockSize, q31_t *pResult)
| Maximum value of a q31 vector without index. More...
void | arm_max_no_idx_q7 (const q7_t *pSrc, uint32_t blockSize, q7_t *pResult)
| Maximum value of a q7 vector without index. More...
void | arm_max_q15 (const q15_t *pSrc, uint32_t blockSize, q15_t *pResult, uint32_t *pIndex)
| Maximum value of a Q15 vector. More...
void | arm_max_q31 (const q31_t *pSrc, uint32_t blockSize, q31_t *pResult, uint32_t *pIndex)
| Maximum value of a Q31 vector. More...
void | arm_max_q7 (const q7_t *pSrc, uint32_t blockSize, q7_t *pResult, uint32_t *pIndex)
| Maximum value of a Q7 vector. More...

## Description

Computes the maximum value of an array of data. The function returns both the maximum value and its position within the array. There are separate functions for floating-point, Q31, Q15, and Q7 data types.

## Function Documentation

void arm_max_f16 | ( | const float16_t * | pSrc,
|  | uint32_t | blockSize,
|  | float16_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | maximum value returned here
  [out] | pIndex | index of maximum value returned here

Returns
  none

void arm_max_f32 | ( | const float32_t * | pSrc,
|  | uint32_t | blockSize,
|  | float32_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | maximum value returned here
  [out] | pIndex | index of maximum value returned here

Returns
  none

void arm_max_f64 | ( | const float64_t * | pSrc,
|  | uint32_t | blockSize,
|  | float64_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | maximum value returned here
  [out] | pIndex | index of maximum value returned here

Returns
  none

void arm_max_no_idx_f16 | ( | const float16_t * | pSrc,
|  | uint32_t | blockSize,
|  | float16_t * | pResult
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | maximum value returned here

Returns
  none

void arm_max_no_idx_f32 | ( | const float32_t * | pSrc,
|  | uint32_t | blockSize,
|  | float32_t * | pResult
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | maximum value returned here

Returns
  none

void arm_max_no_idx_f64 | ( | const float64_t * | pSrc,
|  | uint32_t | blockSize,
|  | float64_t * | pResult
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | maximum value returned here

Returns
  none

void arm_max_no_idx_q15 | ( | const q15_t * | pSrc,
|  | uint32_t | blockSize,
|  | q15_t * | pResult
| ) |  |

Maximum value of a q15 vector.

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | maximum value returned here

Returns
  none

void arm_max_no_idx_q31 | ( | const q31_t * | pSrc,
|  | uint32_t | blockSize,
|  | q31_t * | pResult
| ) |  |

Maximum value of a q31 vector.

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | maximum value returned here

Returns
  none

void arm_max_no_idx_q7 | ( | const q7_t * | pSrc,
|  | uint32_t | blockSize,
|  | q7_t * | pResult
| ) |  |

Maximum value of a q7 vector.

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | maximum value returned here

Returns
  none

void arm_max_q15 | ( | const q15_t * | pSrc,
|  | uint32_t | blockSize,
|  | q15_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | maximum value returned here
  [out] | pIndex | index of maximum value returned here

Returns
  none

void arm_max_q31 | ( | const q31_t * | pSrc,
|  | uint32_t | blockSize,
|  | q31_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | maximum value returned here
  [out] | pIndex | index of maximum value returned here

Returns
  none

void arm_max_q7 | ( | const q7_t * | pSrc,
|  | uint32_t | blockSize,
|  | q7_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | maximum value returned here
  [out] | pIndex | index of maximum value returned here

Returns
  none